Get a case Run in API Explorer
Responses
-
Hide response attributes Show response attributes object
-
The UUID of the resource.
-
The timestamp of when the resource was created.
-
The timestamp of when the resource was updated.
-
Name of the case
-
Slug of the case
-
Case status
-
Case type
-
Timestamp of when the case should be reviewed
-
UUIDs of accounts that will be assigned to the case when it is created.
-
UUIDs of groups that will be assigned when the case is created.
-
Timestamp of when the case was completed
-
Expected value of this case
Hide value attributes Show value attributes object
-
The case status's position on the status list. Starting from 1. Only used if you are formatting cases in a kanban layout.
-
The number of participants on the case
-
Participants on this case (if included)
Hide participants attributes Show participants attributes object
-
UUID of the task board
-
Plans in this case (if included)
Hide plans attributes Show plans attributes object
-
Hide total_benefit_amount attributes Show total_benefit_amount attributes object
-
Hide total_benefits attributes Show total_benefits attributes object
-
Hide critical_illness attributes Show critical_illness attributes object
-
Hide family_income_benefit attributes Show family_income_benefit attributes object
-
-
Hide value attributes Show value attributes object
-
Any custom fields on the model.
-
GET
/api/v1/cases/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/cases/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
}
}